LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 12-22-2008, 12:27 PM   #1
aznium
Member
 
Registered: Jun 2005
Posts: 36

Rep: Reputation: 15
Install GCC 2.9 on Ubuntu 8.10


Hi,

I downloaded the GCC 2.9 sources from http://gcc-ca.internet.bs/releases/gcc-2.95.3/ and I am trying to compile it with GCC 3.4.

It is giving me a:

/usr/include/bits/stdio-lock.h:24: lowlevellock.h: No such file or director

error, I tried commenting it out and then it comes me this error:

../../../gcc-2.95.3-src/libio/streambuf.h:37: parse error before `}'


Any ideas on how to get GCC 2.9 working? Yes I know the compiler is 10+ years old, I'm working on some really legacy stuff.

Thanks
 
Old 12-23-2008, 02:42 AM   #2
Valery Reznic
ELF Statifier author
 
Registered: Oct 2007
Posts: 676

Rep: Reputation: 137Reputation: 137
Quote:
Originally Posted by aznium View Post
Hi,

I downloaded the GCC 2.9 sources from http://gcc-ca.internet.bs/releases/gcc-2.95.3/ and I am trying to compile it with GCC 3.4.

It is giving me a:

/usr/include/bits/stdio-lock.h:24: lowlevellock.h: No such file or director

error, I tried commenting it out and then it comes me this error:

../../../gcc-2.95.3-src/libio/streambuf.h:37: parse error before `}'


Any ideas on how to get GCC 2.9 working? Yes I know the compiler is 10+ years old, I'm working on some really legacy stuff.

Thanks
Why you don't install in the VM this legacy distro with it's own gcc and meke build in VM ?
 
Old 12-25-2008, 05:50 PM   #3
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2021 CentOS7.9 + 50+ other Linux OS, for test only.
Posts: 17,454

Rep: Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626
Ubuntu 8.10
Headers can be found in the glibc source, versions
2.3.4 ... 2.3.6 but do not seem to work.

However, gcc-2.95 is available for Debian Etch.
http://packages.debian.org/etch/i386/gcc-2.95/download

cpp-2.95 should be installed first
http://packages.debian.org/etch/i386/cpp-2.95/download

And it works fine in Ubuntu 8.10, tried with one file,
the old pcre-3.9 from the 2002 Slackware 8.1 DVD.
Compiles, no errors.

Good luck !

Last edited by knudfl; 12-26-2008 at 05:56 AM.
 
Old 12-26-2008, 10:37 AM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2021 CentOS7.9 + 50+ other Linux OS, for test only.
Posts: 17,454

Rep: Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626Reputation: 3626
Forgot this : 'g++-2.95'
http://packages.debian.org/etch/i386/g++-2.95/download

depends on 'libstdc++2.10-dev'
http://packages.debian.org/etch/i386...0-dev/download

which depends on 'libstdc++2.10-glibc2.2'
http://packages.debian.org/etch/i386...bc2.2/download

'sudo dpkg -i g++-2.95_2.95.4-27_i386.deb libstdc++2.10-dev_2.95.4-27_i386.deb \
libstdc++2.10-glibc2.2_2.95.4-27_i386.deb' will install these 3.
....
Tested ... works in Ubuntu 8.10 .
....

Last edited by knudfl; 12-26-2008 at 10:43 AM.
 
  


Reply

Tags
gcc295


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Ubuntu 7.10 how do you install GCC v3.4.6 compiler and use it cctv Linux - Newbie 5 03-25-2008 07:57 PM
pkg-get install gcc ERROR: gcc unrecognized Raidmax Solaris / OpenSolaris 10 08-30-2007 12:51 PM
Help me install GCC today! <-- 1yr without gcc :( nectron101 Linux - Newbie 4 04-17-2006 07:57 PM
how 2 install gcc and other sources on ubuntu? mab_123 Linux - Software 1 03-29-2005 06:11 AM
gcc wont install, 'failed dependencies: glibc-devel is needed by gcc-3.3.3-41' TdlSnare SUSE / openSUSE 3 11-29-2004 02:13 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 09:36 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration